Skip to main content

Application API Token Actions

https://api.losant.com/applications/APPLICATION_ID/tokens/API_TOKEN_ID

Below are the various requests that can be performed against the Application API Token resource, as well as the expected parameters and the potential responses.

Delete​

Deletes an API Token

Method And Url​

DELETE https://api.losant.com/applications/APPLICATION_ID/tokens/API_TOKEN_ID

Authentication​

A valid API access token is required to access this endpoint. The token must include at least one of the following scopes: all.Application, all.Organization, all.User, applicationApiToken.*, or applicationApiToken.delete.

Request Path Components​

Path ComponentDescriptionExample
APPLICATION_IDID associated with the application575ec8687ae143cd83dc4a97
API_TOKEN_IDID associated with the API token575ec7417ae143cd83dc4a95

Request Headers​

NameRequiredDescriptionDefault
AuthorizationYThe token for authenticating the request, prepended with Bearer

Curl Example​

curl -H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Authorization: Bearer YOUR_API_ACCESS_TOKEN' \
-X DELETE \
https://api.losant.com/applications/APPLICATION_ID/tokens/API_TOKEN_ID

Successful Responses​

CodeTypeDescription
200SuccessIf API token was successfully deleted

Error Responses​

CodeTypeDescription
400ErrorError if malformed request
404ErrorError if API token was not found

Get​

Retrieves information on an API token

Method And Url​

GET https://api.losant.com/applications/APPLICATION_ID/tokens/API_TOKEN_ID

Authentication​

A valid API access token is required to access this endpoint. The token must include at least one of the following scopes: all.Application, all.Application.bounded, all.Application.read, all.Organization, all.Organization.bounded, all.Organization.read, all.User, all.User.bounded, all.User.read, applicationApiToken.*, or applicationApiToken.get.

Request Path Components​

Path ComponentDescriptionExample
APPLICATION_IDID associated with the application575ec8687ae143cd83dc4a97
API_TOKEN_IDID associated with the API token575ec7417ae143cd83dc4a95

Request Headers​

NameRequiredDescriptionDefault
AuthorizationYThe token for authenticating the request, prepended with Bearer

Curl Example​

curl -H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Authorization: Bearer YOUR_API_ACCESS_TOKEN' \
-X GET \
https://api.losant.com/applications/APPLICATION_ID/tokens/API_TOKEN_ID

Successful Responses​

CodeTypeDescription
200API TokenAPI token information

Error Responses​

CodeTypeDescription
400ErrorError if malformed request
404ErrorError if API token was not found

Patch​

Updates information about an API token

Method And Url​

PATCH https://api.losant.com/applications/APPLICATION_ID/tokens/API_TOKEN_ID

Authentication​

A valid API access token is required to access this endpoint. The token must include at least one of the following scopes: all.Application, all.Organization, all.User, applicationApiToken.*, or applicationApiToken.patch.

Request Path Components​

Path ComponentDescriptionExample
APPLICATION_IDID associated with the application575ec8687ae143cd83dc4a97
API_TOKEN_IDID associated with the API token575ec7417ae143cd83dc4a95

Request Headers​

NameRequiredDescriptionDefault
AuthorizationYThe token for authenticating the request, prepended with Bearer

Request Body​

The body of the request should be serialized JSON that validates against the API Token Patch schema. For example, the following would be a valid body for this request:

{
"name": "My Updated API Token",
"status": "inactive"
}

Curl Example​

curl -H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Authorization: Bearer YOUR_API_ACCESS_TOKEN' \
-X PATCH \
-d '{"name":"My Updated API Token","status":"inactive"}' \
https://api.losant.com/applications/APPLICATION_ID/tokens/API_TOKEN_ID

Successful Responses​

CodeTypeDescription
200API TokenUpdated API token information

Error Responses​

CodeTypeDescription
400ErrorError if malformed request
404ErrorError if API token was not found

Schemas​

API Token​

Schema for a single API Token

API Token Schema​

  • ▶
    {} 3 keys
    • "http://json-schema.org/draft-07/schema#"
    • "object"
    • ▶
      {} 19 keys
      • ▶
        {} 2 keys
        • ▶
          {} 2 keys
          • ▶
            {} 2 keys
            • ▶
              {} 2 keys
              • ▶
                {} 2 keys
                • ▶
                  {} 2 keys
                  • ▶
                    {} 2 keys
                    • ▶
                      {} 2 keys
                      • ▶
                        {} 2 keys
                        • ▶
                          {} 3 keys
                          • ▶
                            {} 2 keys
                            • ▶
                              {} 2 keys
                              • ▶
                                {} 2 keys
                                • ▶
                                  {} 2 keys
                                  • ▶
                                    {} 2 keys
                                    • ▶
                                      {} 3 keys
                                      • ▶
                                        {} 2 keys
                                        • ▶
                                          {} 2 keys
                                          • ▶
                                            {} 2 keys

                                        API Token Example​

                                        • ▶
                                          {} 13 keys
                                          • "575ec7417ae143cd83dc4a95"
                                          • "575ec7417ae143cd83dc4a95"
                                          • "575ed70c7ae143cd83dc4aa9"
                                          • "user"
                                          • "575ec8687ae143cd83dc4a97"
                                          • "application"
                                          • "My API Token"
                                          • "2016-06-13T04:00:00.000Z"
                                          • "2016-06-13T04:00:00.000Z"
                                          • "2017-06-13T04:00:00.000Z"
                                          • ▶
                                            [] 1 item
                                            • "active"
                                            • "the_actual_token_string"

                                          API Token Patch​

                                          Schema for the body of an API Token modification request

                                          API Token Patch Schema​

                                          • ▶
                                            {} 4 keys
                                            • "http://json-schema.org/draft-07/schema#"
                                            • "object"
                                            • ▶
                                              {} 5 keys
                                              • ▶
                                                {} 3 keys
                                                • ▶
                                                  {} 2 keys
                                                  • ▶
                                                    {} 2 keys
                                                    • ▶
                                                      {} 3 keys
                                                      • ▶
                                                        {} 2 keys
                                                      • false

                                                    API Token Patch Example​

                                                    • ▶
                                                      {} 2 keys
                                                      • "My Updated API Token"
                                                      • "inactive"

                                                    Error​

                                                    Schema for errors returned by the API

                                                    Error Schema​

                                                    • ▶
                                                      {} 3 keys
                                                      • "http://json-schema.org/draft-07/schema#"
                                                      • "object"
                                                      • ▶
                                                        {} 3 keys
                                                        • ▶
                                                          {} 1 key
                                                          • ▶
                                                            {} 1 key
                                                            • ▶
                                                              {} 2 keys

                                                          Error Example​

                                                          • ▶
                                                            {} 2 keys
                                                            • "NotFound"
                                                            • "Application was not found"

                                                          Success​

                                                          Schema for reporting a successful operation

                                                          Success Schema​

                                                          • ▶
                                                            {} 3 keys
                                                            • "http://json-schema.org/draft-07/schema#"
                                                            • "object"
                                                            • ▶
                                                              {} 1 key
                                                              • ▶
                                                                {} 2 keys

                                                            Success Example​

                                                            • ▶
                                                              {} 1 key
                                                              • true

                                                            Was this page helpful?


                                                            Still looking for help? You can also search the Losant Forums or submit your question there.